# Donor List
 #V7_1_192 

## Donor Browse
### How to access this screen
> Back Office Screen > Gift Aid It > Donors

> Tilling Screen > Supervisor > Gift Aid > Donors
### The screen
![[Pasted image 20220315222500.png]]
